/**
 * Theme Name:     IDM
 * Author:         the WordPress team
 * Template:       twentytwenty
 * Text Domain:	   idm
 * Description:    Our default theme for 2020 is designed to take full advantage of the flexibility of the block editor. Organizations and businesses have the ability to create dynamic landing pages with endless layouts using the group and column blocks. The centered content column and fine-tuned typography also makes it perfect for traditional blogs. Complete editor styles give you a good idea of what your content will look like, even before you publish. You can give your site a personal touch by changing the background colors and the accent color in the Customizer. The colors of all elements on your site are automatically calculated based on the colors you pick, ensuring a high, accessible color contrast for your visitors.
 */
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
body{
	font-family: "Poppins", sans-serif; color:#232222; font-size:14px; font-weight:400; background:#fff;
}
a{
	color:#8004e8 !important; text-decoration:none !important; transform:0.3s ease-in-out;
}
a:hover{
	color:#2ec0b6 !important; text-decoration:none !important;
}
.nojq a{
	color:#fff !important;
}
.container{
	width:100%; max-width:1170px; padding:0 15px; margin:auto;
}
.site-logo{
	margin:0 !important;
}
.site-logo img{
	height:84px; width:auto;
}
.header-wrapper{
	padding-top:15px; padding-bottom:15px;
}
ul.primary-menu{
	margin:0 !important;
}
.primary-menu a{
	color:#272524 !important; font-size:16px !important; font-weight:600; text-transform:uppercase;
}
.primary-menu > li{
	margin:0 0 0 50px;
}
.primary-menu li.current-menu-item > a{
	text-decoration:none; color:#2ec0b6 !important;
}
.primary-menu a:hover{
	color:#2ec0b6 !important; text-decoration:none !important;;
}
.primary-menu .icon::before, .primary-menu .icon::after{
	background-color:#000 !important;
}
.primary-menu ul::after{
	display:none;
}
.primary-menu .sub-menu{
	background:#2ec0b6 !important;
}
.primary-menu .sub-menu a{
	font-size:14px !important;
}
.primary-menu .sub-menu a:hover{
	color:#fff !important;
}
.primary-menu .sub-menu li.current-menu-item > a{
	color:#fff !important;
}
.primary-menu ul li.menu-item-has-children:hover > ul{
	left: calc(100% + 0.5rem); right:0;
}
.primary-menu ul li.menu-item-has-children .icon{
	transform: rotate(225deg);
}
.footer-top{
	background:#11100f;
}
.footer-bottom{
	background:#000; padding:20px 0; text-align:center; color:#fff; font-size:12px;
}
.flexbox{
	display:flex; justify-content:space-between;
}
.footer-logo{
	width:305px; color:#fff; font-size:12px;
}
.footer-logo img{
	margin-bottom:20px;
}
.quick-link{
	width:150px;
}
.service-link{
	width:200px;
}
.footer-contact{
	width:150px;
}
.footer-top{
	align-items:flex-start; border:0px;
}
.footer-top h2{
	color:#fff; font-size:14px; font-weight:500; margin:0 0 20px;
}
.footer-nav ul{
	margin:0; padding:0; list-style:none
}
.footer-nav ul li{
	margin:0; padding:0; list-style:none
}
.footer-nav ul li a, .footer-nav a{
	color:#fff !important; font-size:13px;
}
.footer-nav ul li a:hover,  .footer-nav a:hover{
	color:#2ec0b6 !important;
}
.footer-nav .social-media{
	display:flex; gap:15px; margin-top:15px;
}
.footer-nav .social-media li a{
	font-size:18px !important;
}
.footer-credits{
	display:block;
}
#site-footer{
	padding:0px;
}
.footer-copyright a{
	color:#fff !important; font-weight:600;
}
.slider-wrapper{
	height:600px; width:100%; position:relative;
}
.slider-wrapper img{
	height:100% !important; width:100%; object-fit:cover;
}
.shadow{
	height:600px !important; background:#000 !important; opacity:0.5; position:absolute; left:0; top:0; width:100%;
}
.slider-content-wrapper{
	width:100%; max-width:1170px; position:absolute; left:50%; top:50%; transform:translate(-50%, -50%); padding-left:15px; padding-right:15px; z-index:99; color:#fff; text-align:center;
}
h1{
	font-size:48px; font-weight:400; letter-spacing:1px;
}
h1 span{
	font-weight:600;
}
h2{
	font-weight:500 !important; font-size:40px; letter-spacing:1px;
}
h3{
	font-size:30px;  font-weight:600 !important; letter-spacing:1px;
}
.subhead{
	color:#2ec0b6; font-size:24px; font-weight:600;
}
.subhead span{
	color:#2ec0b6 !important;
}
.subhead2{
	color:#8004e8; font-size:18px; font-weight:600;
}
.subhead2 span{
	color:#8004e8 !important;
}
.slider-content-wrapper p{
	font-size:24px; font-weight:400;
}
.slider-but a{
	background:#8004e8; color:#fff !important; padding:15px 60px 15px 40px; border-radius:10px; position:relative; transition:0.3s ease-in-out; display:inline-block;
}
.slider-but a:after{
	position:absolute; content: "\f061";  font-family: "Font Awesome 6 Free"; font-weight: 900;   margin-left: 8px;     margin-top: 4px; transition:0.3s ease-in-out;
}
.slider-but a:hover{
	background:#2ec0b6;
}
.slider-but a:hover:after{
	margin-left:12px;
}
.banner_slider .slick-arrow{
	display:none !important;
}
.banner_slider .slick-dots{
	position:absolute; display:flex; gap:10px; align-items:center; bottom:50px; left:50%; transform:translatex(-50%); list-style:none; margin:0; padding:0
}
.banner_slider .slick-dots li{
	width:10px; height:10px; border-radius:50%; background:#5e6263; margin:0; padding:0
}
.banner_slider .slick-dots li button{
	display:none !important;
}
.banner_slider li.slick-active{
	background:#fff;
}
.pt-100{
	padding-top:100px;
}
.pt-80{
	padding-top:80px;
}
.pb-80{
	padding-bottom:80px;
}
.ptb-80{
	padding-top:80px; padding-bottom:80px;
}
.elementor-widget-button .elementor-button{
	background:#8004e8 !important; color:#fff !important; padding:15px 60px 15px 40px; border-radius:10px; position:relative; transition:0.3s ease-in-out; display:inline-block; text-transform:uppercase; font-size:13px;
}
.elementor-widget-button .elementor-button:hover{
	background:#2ec0b6 !important; color:#fff !important; 
}
.elementor-widget-button .elementor-button .elementor-button-text:after{
	position:absolute; content: "\f061";  font-family: "Font Awesome 6 Free"; font-weight: 900;   margin-left: 8px; transition:0.3s ease-in-out;
}
.elementor-widget-button .elementor-button:hover .elementor-button-text:after{
	margin-left:12px;
}
.img-left-border{
	background: #2EC0B6; background: linear-gradient(90deg, rgba(46, 192, 182, 1) 0%, rgba(46, 192, 182, 1) 30%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 100%); padding:50px; border-radius:10px 0 0 10px;
}

/*.img-left-border:before{
	background:#2ec0b6; width:256px; height:550px; position:absolute; left:-50px; top:-50px; border-radius:10px 0 0 10px; content:'';
}
.img-left-border img{
	position:relative; z-index:9;
}*/
.img-right-border{
	background: #2EC0B6; background: linear-gradient(270deg, rgba(46, 192, 182, 1) 0%, rgba(46, 192, 182, 1) 30%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 100%); padding:50px; border-radius:0 10px 10px 0;
}
.services-wrapper{
	display:flex; gap:30px;
}
.service-col {
  /*width: 370px; height: 346px;*/ background: rgba(255, 255, 255, 0.08); backdrop-filter: blur(3px); -webkit-backdrop-filter: blur(3px);  border: 1px solid rgba(255, 255, 255, 0.2); border-radius: 16px; box-shadow: 0 8px 32px rgba(0, 0, 0, 0.2); padding:25px 32px; color:#fff; text-align:center; transition:0.3s ease-in-out;
}
.service-icon{
	width:112px; height:112px !important; background:#8004e8; border-radius:50% !important; margin:auto; transition:0.3s ease-in-out;
}
.service-col h3{
	margin:15px 0; font-size:24px; text-transform:uppercase; font-weight:500 !important;
}
.service-col:hover{
	backdrop-filter: blur(10px); -webkit-backdrop-filter: blur(10px);
}
.service-col:hover .service-icon{
	transform: scaleX(-1);
}
.lock-block{
	background:#2ec0b6; border-radius:10px !important; padding:30px 0 !important;
}
.lock-details{
	border-top:1px solid #fff; padding:20px 30px 0;
}
.blog-wrapper{
	display:flex; justify-content:space-between;
}
.blog-col{
	width:32%; margin-bottom:20px;
}
.blog-image{
	width:100%; height:275px !important; border-radius:10px !important; overflow:hidden; transition:0.3s ease-in-out;
}
.blog-image img{
	width:100%; height:100% !important; object-fit:cover; transition:0.3s ease-in-out;
}
.blog-col h3{
	font-size:24px; font-weight:600; margin:10px 0; padding:0 10px;
}
.blog-col h3 a{
	color:#2ec0b6 !important;
}
.blog-col h3 a:hover{
	color:#8004e8 !important;
}
.blog-col p{
	padding:0 10px;
}
.page-link a{
	position:relative; padding:0 10px;
}
.page-link a:after{
	position:absolute; content: "\f061";  font-family: "Font Awesome 6 Free"; font-weight: 900; margin-left: 8px; margin-top: 4px; transition:0.3s ease-in-out;
}
.page-link a:hover:after{
	margin-left: 12px;
}
.blog-col:hover .blog-image img{
	transform: scale(1.2);
}
.contact-row p{
	display:flex; gap:30px; margin-bottom:30px;
}
.contact-row span.wpcf7-form-control-wrap{
	width:50%;
}
.custom-field, .custom-txtarea{
	border-radius:10px !important; border:0px !important; 
}
.form-submit{
	display:flex; justify-content:center;
}
.submit-but{
	background:#8004e8 !important; color:#fff !important; padding:15px 40px !important; border-radius:10px !important; transition:0.3s ease-in-out !important; display:inline-block; text-transform:uppercase; font-size:13px !important;
}
.submit-but:hover{
	background:#2ec0b6 !important; color:#fff !important; text-decoration:none !important;
}
.home-contact .wpcf7-response-output{
	color:#fff; border:0px !important; text-align:center; font-size:18px;
}
.img-wrapper{
	display: inline-block; overflow: hidden; border-radius:10px;
}
.img-wrapper img {
  width: 100%; height: auto;  transition: transform 0.4s ease;
}

.img-wrapper:hover img {
  transform: scale(1.2);   
}
.inner-banner{
	height:400px !important; position:relative;
}
.inner-banner img{
	height:100%; width:100%; object-fit:cover;
}
.inner-banner .inner-ban-container{
	max-width:60% !important;
}
.inner-banner p{
	font-size:20px;
}
.pt-40{
	padding-top:40px;
}
.pb-40{
	padding-bottom:40px;
}
.service-page .service-col{
	color:#232222;
}
.ser-lock-block .lock-details{
	padding:20px 30px; border-bottom:1px solid #fff;
}
.lock-pricing{
	padding:0px 30px;
}
.lock-pricing h5{
	font-size:36px; font-weight:600; margin:0 0 5px;
}
.ser-lock-block:hover{
	background:#8004e8;
}
.contact-page-form .custom-field{
	border:1px solid #000 !important;
}
.contact-page-form .contact-row p{
	gap:10px !important; margin-bottom:10px !important;
}
.contact-page-form .custom-txtarea{
	border:1px solid #000 !important;
}
.inner-post-banner{
	background-color:#8004e8; height:250px; display:flex; align-items:center; justify-content:center;
}
/*.inner-banner-heading{
	width:100%; max-width:1170px; margin:auto; text-align:center;
}
.inner-banner-heading h1{
	color:#fff;
}*/
.table-head{
	background:#414141 !important;
}
.highlight{
	background:#e9e9e9 !important; color:#fff;
}
.custom-table tbody > tr:nth-child(2n+1) td:hover{
	color:#000 !important;
}
.scroll-wrap .slick-arrow{
	display:none !important;
}
.scroll-wrap .scroll-col{
	text-align:center; color:#fff; font-size:24px;
}
.scroll-wrap{
	max-width:60%; margin:auto;
}
.list ul{
	margin:0;
}
.company-details .elementor-icon-box-title{
	margin-top:0px; margin-bottom:0px; font-size:20px;
}
.company-details .elementor-icon-box-title a{
	color:#000 !important;
}
.post-banner{
	height:400px !important; background:#000; display:flex; justify-content:center; align-items:center; text-align:center; color:#fff;
}
.entry-content > *:not(.alignwide):not(.alignfull):not(.alignleft):not(.alignright):not(.is-style-wide){
	width:100%; max-width:1170px; padding:0 15px;
}
.post-banner h1{
	font-weight:600; margin:0px;
}
.entry-content h2{
	margin:0;
}
.entry-content p{
	color:#232222; font-size:16px; font-weight:400;
}
.single .footer-nav-widgets-wrapper{
	display:none;
}
.blog-wrapper2{
	/*flex-wrap:wrap;*/ display:grid; grid-template-columns: repeat(3, minmax(0, 1fr)); gap:20px; margin-bottom:20px;
}
.blog-wrapper2 .blog-col{
	width:100%;
}
.footer-nav .sub-menu{
	display:none;
}
.single .entry-content p, .single .entry-content li{
	font-size:16px; line-height:30px;
}
.benefit-box{
	transition:0.3s ease-in-out;
}
.benefit-box p{
	margin-top:-15px;
}
.benefit-image-frame{
	border-radius:10px !important; overflow:hidden; height:240px; width:100%;
}
.benefit-box img{
	object-fit:cover; height:100% !important; width:100% !important; transition:0.3s ease-in-out;
}
.benefit-box:hover img{
	transform:scale(1.5);
}
.seo-service-block h4{
	font-size:22px; font-weight:500; margin:0 0 10px;
}
.seo-service-block img{
	width:80px; height:80px; filter: brightness(0) invert(1);
}
.min-height{
	min-height:130px;
}
.price h2{
	margin-top:10px;
}
.info-box h3{
	margin-top:0px; font-size:22px; color:#2ec0b6 !important; margin-bottom:10px;
}
.info-box{
	padding:0 20px;
}


/*********************Responsive*********************/

@media (max-width: 1000px){
	.search-toggle{
		display:none !important;
	}
	.header-titles-wrapper{
		justify-content:flex-start; padding:0;
	}
	.toggle-text{
		display:none;
	}
	.nav-toggle svg{
		display:none !important;
	}
	.close-nav-toggle svg{
		display:block;
	}
	.toggle-icon{
		background:url('/wp-content/uploads/2026/04/burger-menu.png') no-repeat; width:38px !important; height:23px!important;
	}
	.menu-modal-inner{
		background: #2ec0b6 !important; 
	}
	button.close-nav-toggle svg{
		color:#fff;
	}
	.modal-menu a{
		color:#fff !important; font-weight:500 !important; font-size:16px !important;
	}
	.modal-menu li.current-menu-item > .ancestor-wrapper > a{
		text-decoration:none;
	}
	.menu-bottom{
		display:none !important;
	}
	.slider-content-wrapper p{
		font-size:18px;
	}
	h1{
		font-size:35px;
	}
	h2{
		font-size:32px;
	}
	.slider-wrapper, .shadow{
		height:400px  !important;
	}
	
	.banner_slider .slick-dots{
		bottom:30px;
	}
	.slider-content-wrapper{
		top:40%; transform:translate(-50%, -40%);
	}
	.img-left-border, .img-right-border{
		padding:20px;
	}
	.service-col{
		padding:20px;
	}
	.service-icon{
		width:80px; height:80px !important;
	}
	.service-col h3, .blog-col h3{
		font-size:20px;
	}
	.blog-image{
		height:200px !important;
	}
	
	.footer-logo{
		width:200px; margin-right:50px;
	}
	.inner-banner .inner-ban-container{
		max-width:80% !important;
	}
	.post-banner{
		height:250px !important;
	}
	
}
@media (max-width: 767px){
	.slider-wrapper, .shadow{
		height:500px !important;
	}
	h1{
		font-size:30px;
	}
	h2{
		font-size:25px;
	}
	.slider-content-wrapper p{
		font-size:16px;
	}
	.services-wrapper{
		flex-direction:column;
	}
	.lock-block{
		margin-bottom:20px !important;
	}
	.blog-wrapper{
		flex-direction:column;
	}
	.blog-col{
		width:100%; margin-bottom:20px;
	}
	.footer-top .flexbox{
		flex-direction:column; gap:20px; align-items:center; text-align:center;
	}
	.footer-logo{
		width:100%; margin:0px;
	}
	.footer-top h2{
		margin-bottom:10px; font-size:16px;
	}
	.footer-nav .social-media{
		justify-content:center;
	}
	.footer-logo img{
		width:200px; margin:20px auto;
	}
	.inner-banner .inner-ban-container{
		max-width:100% !important;
	}
	.inner-banner p{
		font-size:14px;
	}
	.scroll-wrap{
		max-width:80%;
	}
	.scroll-wrap .scroll-col{
		font-size:16px;
	}
	.contact-page-form{
		margin-top:40px !important;
	}
	.contact-page-form .contact-row p{
		gap:0px !important; margin-bottom:20px !important;
	}
	.company-details{
		margin-bottom:20px !important;
	}
	.blog-wrapper2{
		grid-template-columns: repeat(1, minmax(0, 1fr));
	}
	.seo-service-block .elementor-widget-image{
		margin:auto;
	}
	.seo-service-block .elementor-widget.elementor-widget-text-editor{
		margin-bottom:20px !important; width:100%;
	}
}
@media (max-width: 500px){
	.contact-row p{
		flex-direction:column; gap:0px; margin-bottom:20px;
	}
	.contact-row span.wpcf7-form-control-wrap{
		width:100%;
	}
	.scroll-wrap{
		max-width:100%;
	}
	.post-banner{
		height:200px;
	}
	
}




